#clean_cluster.pl
#takes an arff file resulting from Weka clustering and outputs the cluster
#for each line
#usage - perl clean_cluster.pl < something.arff > results.txt

my $valid;

while (defined ($line = <>)) {

    #keep spinning till we pass the data mark
    unless ($valid) {
	chomp $line;
	if ($line eq "\@data") {
	    $valid = 1;
	}
	next;
    }

    #if we're on a data line, pick out which cluster this line belongs to
    if ($line =~ m/,cluster\d/) {
	chomp($line);
	my @fields = split(/,/, $line);
	my $last_field = $fields[$#fields];
	my $last_number = substr($last_field, -1);
	print $last_number . "\n";	
    }
}
